<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: RTL Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classuHTR__trig__init.html">uHTR_trig_init</a></li><li class="navelem"><a class="el" href="classuHTR__trig__init_1_1RTL.html">RTL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RTL Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classuHTR__trig__init_1_1RTL-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Functions"></a>
Functions</h2></td></tr>
 <tr class="memitem:acab0b8e065f4e1e1f73b23853ec7f183"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acab0b8e065f4e1e1f73b23853ec7f183"></a>
<b><b><span class="comment">integer</span><span class="vhdlchar"> </span></b></b>&#160;</td><td class="memItemRight" valign="bottom"> <a class="el" href="classuHTR__trig__init_1_1RTL.html#acab0b8e065f4e1e1f73b23853ec7f183">get_cdrlock_time</a><b> ( </b><b><span class="vhdlchar">is_sim: </span><span class="stringliteral">in </span><span class="vhdlchar">in integer</span></b><b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:abe407299382022d64c190f3446c60563"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abe407299382022d64c190f3446c60563"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#abe407299382022d64c190f3446c60563">cdrlock_timeout</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">SYSCLK_IN</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a0f25375ab31041ba14b3410b0c89b407"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f25375ab31041ba14b3410b0c89b407"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a0f25375ab31041ba14b3410b0c89b407">uHTR_trig</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classuHTR__trig.html">&lt;Entity uHTR_trig&gt; </a></em></td></tr>
<tr class="memitem:a66cd353a0ea9a0e071f60f635cea4e0f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a66cd353a0ea9a0e071f60f635cea4e0f"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a66cd353a0ea9a0e071f60f635cea4e0f">uHTR_trig_TX_STARTUP_FSM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classuHTR__trig__TX__STARTUP__FSM.html">&lt;Entity uHTR_trig_TX_STARTUP_FSM&gt; </a></em></td></tr>
<tr class="memitem:ace651264f7cb0bafbd7aa0f5b6fe7b38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace651264f7cb0bafbd7aa0f5b6fe7b38"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#ace651264f7cb0bafbd7aa0f5b6fe7b38">uHTR_trig_RX_STARTUP_FSM</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classuHTR__trig__RX__STARTUP__FSM.html">&lt;Entity uHTR_trig_RX_STARTUP_FSM&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:afda6a0f11598edea6b9e0762bf89aa7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afda6a0f11598edea6b9e0762bf89aa7d"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#afda6a0f11598edea6b9e0762bf89aa7d">DLY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a28e5eaa960931c170451b4011e51bfc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a28e5eaa960931c170451b4011e51bfc7"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a28e5eaa960931c170451b4011e51bfc7">RX_CDRLOCK_TIME</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">get_cdrlock_time</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EXAMPLE_SIMULATION</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a22f7175c439ac58a5b2998d36140b989"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a22f7175c439ac58a5b2998d36140b989"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a22f7175c439ac58a5b2998d36140b989">WAIT_TIME_CDRLOCK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">RX_CDRLOCK_TIME</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span><span class="vhdlchar">STABLE_CLOCK_PERIOD</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:aab1055003f1c9da36f443668c10992e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aab1055003f1c9da36f443668c10992e3"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#aab1055003f1c9da36f443668c10992e3">gt0_cpllreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91b961558648e5a6ac4ed76ef5aec91c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91b961558648e5a6ac4ed76ef5aec91c"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a91b961558648e5a6ac4ed76ef5aec91c">gt0_cpllreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac9d80e162322690750aab98fc09c44f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac9d80e162322690750aab98fc09c44f5"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#ac9d80e162322690750aab98fc09c44f5">gt0_cpllrefclklost_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a33bb969c6b176f1c036c1c8ee83d9e9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33bb969c6b176f1c036c1c8ee83d9e9c"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a33bb969c6b176f1c036c1c8ee83d9e9c">gt0_cplllock_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5af07036c0ade97b24da12ce57de6426"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5af07036c0ade97b24da12ce57de6426"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a5af07036c0ade97b24da12ce57de6426">gt0_txresetdone_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7a1b4ee63443c460226c936c9503762f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a1b4ee63443c460226c936c9503762f"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a7a1b4ee63443c460226c936c9503762f">gt0_rxresetdone_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3cce711ff84162f72bf44781db1d9b59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cce711ff84162f72bf44781db1d9b59"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a3cce711ff84162f72bf44781db1d9b59">gt0_gttxreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae47a9dd9579d43ec95280b74562e801b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae47a9dd9579d43ec95280b74562e801b"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#ae47a9dd9579d43ec95280b74562e801b">gt0_gttxreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a06f598aae272ad25a006fc209eb54685"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a06f598aae272ad25a006fc209eb54685"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a06f598aae272ad25a006fc209eb54685">gt0_gtrxreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc5b994eb9e6680160d1314d373b8c55"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc5b994eb9e6680160d1314d373b8c55"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#acc5b994eb9e6680160d1314d373b8c55">gt0_gtrxreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ba53a8b2dbfd59c72a933d7f49a7aaf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ba53a8b2dbfd59c72a933d7f49a7aaf"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a6ba53a8b2dbfd59c72a933d7f49a7aaf">gt0_rxdfelpmreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97e92b052bab743da35eff0795b03c85"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97e92b052bab743da35eff0795b03c85"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a97e92b052bab743da35eff0795b03c85">gt0_txuserrdy_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4aacb6c1f5d6f3ab66ef589112e62daa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4aacb6c1f5d6f3ab66ef589112e62daa"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a4aacb6c1f5d6f3ab66ef589112e62daa">gt0_txuserrdy_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af052208492cd63375c6eca4bc9948157"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af052208492cd63375c6eca4bc9948157"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#af052208492cd63375c6eca4bc9948157">gt0_rxuserrdy_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6565afda4f5b13492543e5949e8c586a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6565afda4f5b13492543e5949e8c586a"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a6565afda4f5b13492543e5949e8c586a">gt0_rxuserrdy_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0186d716ce0f1d43708ca058d1a71845"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0186d716ce0f1d43708ca058d1a71845"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a0186d716ce0f1d43708ca058d1a71845">gt0_rxdfeagchold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a467e72e5c42f105aa8bccd3995f83fe1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a467e72e5c42f105aa8bccd3995f83fe1"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a467e72e5c42f105aa8bccd3995f83fe1">gt0_rxdfelfhold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a94b2732c50a1725cbc19f421ea5f8bf1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94b2732c50a1725cbc19f421ea5f8bf1"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a94b2732c50a1725cbc19f421ea5f8bf1">gt0_rxlpmlfhold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8829b3e447e1d8169e60b4856667a502"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8829b3e447e1d8169e60b4856667a502"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a8829b3e447e1d8169e60b4856667a502">gt0_rxlpmhfhold_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afe5a171d0e14bede9abfded5d7f8f720"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe5a171d0e14bede9abfded5d7f8f720"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#afe5a171d0e14bede9abfded5d7f8f720">gt0_qpllreset_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30db7d339da86744ac6492e00ea5af49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30db7d339da86744ac6492e00ea5af49"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a30db7d339da86744ac6492e00ea5af49">gt0_qpllreset_t</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae87638ad9cdffd5df58ab00321336ed8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae87638ad9cdffd5df58ab00321336ed8"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#ae87638ad9cdffd5df58ab00321336ed8">gt0_qpllrefclklost_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8d50e7fcfcfd8fd8a33612a633b1b824"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8d50e7fcfcfd8fd8a33612a633b1b824"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a8d50e7fcfcfd8fd8a33612a633b1b824">gt0_qplllock_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9260d6490a33aa7691ac95c43aded32f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9260d6490a33aa7691ac95c43aded32f"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a9260d6490a33aa7691ac95c43aded32f">tied_to_ground_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7d6823f31f16792e4532eef39c8c4c03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d6823f31f16792e4532eef39c8c4c03"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a7d6823f31f16792e4532eef39c8c4c03">tied_to_vcc_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afd1e24a227522258b7b49fb0ad423abf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd1e24a227522258b7b49fb0ad423abf"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#afd1e24a227522258b7b49fb0ad423abf">gt0_rxoutclk_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa323f70535c164b7da99a1d6727b3285"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa323f70535c164b7da99a1d6727b3285"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#aa323f70535c164b7da99a1d6727b3285">gt0_recclk_stable_i</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a47d7e72a6cd6b50cb707f5d87eca2b5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a47d7e72a6cd6b50cb707f5d87eca2b5c"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a47d7e72a6cd6b50cb707f5d87eca2b5c">rx_cdrlock_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WAIT_TIME_CDRLOCK</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9eca428f28b9cf5fa1dd062b6799f84c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9eca428f28b9cf5fa1dd062b6799f84c"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a9eca428f28b9cf5fa1dd062b6799f84c">rx_cdrlocked</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:ac850a5694c4b93a1985ea2123a6d786e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac850a5694c4b93a1985ea2123a6d786e"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#ac850a5694c4b93a1985ea2123a6d786e">uHTR_trig_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>uHTR_trig</b>  <em><a class="el" href="classuHTR__trig.html">&lt;Entity uHTR_trig&gt;</a></em></td></tr>
<tr class="memitem:af1cdce18bc1878ab42a0d4f28d5ca4b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1cdce18bc1878ab42a0d4f28d5ca4b8"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#af1cdce18bc1878ab42a0d4f28d5ca4b8">gt0_txresetfsm_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>uHTR_trig_TX_STARTUP_FSM</b>  <em><a class="el" href="classuHTR__trig__TX__STARTUP__FSM.html">&lt;Entity uHTR_trig_TX_STARTUP_FSM&gt;</a></em></td></tr>
<tr class="memitem:a501606d1d731aebb886f06e0bb50f1a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a501606d1d731aebb886f06e0bb50f1a8"></a>
<a class="el" href="classuHTR__trig__init_1_1RTL.html#a501606d1d731aebb886f06e0bb50f1a8">gt0_rxresetfsm_i</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>uHTR_trig_RX_STARTUP_FSM</b>  <em><a class="el" href="classuHTR__trig__RX__STARTUP__FSM.html">&lt;Entity uHTR_trig_RX_STARTUP_FSM&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="uhtr__trig__init_8vhd_source.html#l00177">177</a> of file <a class="el" href="uhtr__trig__init_8vhd_source.html">uhtr_trig_init.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/HCAL_trig/uHTR_trig/example_design/<a class="el" href="uhtr__trig__init_8vhd_source.html">uhtr_trig_init.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:45 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
